Win10, error with building SLEEFPirates?

目标是安装GpABC包,该包应该依赖SLEEFPirates,但SLEEFPirates无法安装,提示无法加载LLVM.dll文件,缺少一些东西。求教!
Error is like this and it happened when I add a package GpABC which I suppose have dependency on SLEEFPirates. Do you guys have any suggestions?
PS: Julia version is v1.4.2; XX in C:\Users\XX.julia represents my user name and it’s chinese.

   Building VectorizationBase → `C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\deps\build.log`
┌ Error: Error building `VectorizationBase`: 
│ ERROR: LoadError: LoadError: InitError: could not load library "C:\Users\XX\AppData\Local\Programs\Julia\Julia-1.4.2\bin\LLVM.dll"
│ The specified module could not be found.
│ Stacktrace:
│  [1] dlopen at D:\buildbot\worker\package_win64\build\usr\share\julia\stdlib\v1.4\Libdl\src\Libdl.jl:109 
[inlined] (repeats 2 times)
│  [2] (::LLVM.var"#14#cache_fptr!#3")() at C:\Users\XX\.julia\packages\LLVM\KITdB\src\util.jl:103       
│  [3] macro expansion at C:\Users\XX\.julia\packages\LLVM\KITdB\src\util.jl:111 [inlined]
│  [4] runtime_version() at C:\Users\XX\.julia\packages\LLVM\KITdB\src\base.jl:9
│  [5] __init__() at C:\Users\XX\.julia\packages\LLVM\KITdB\src\LLVM.jl:77
│  [6] top-level scope at C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\deps\build.jl:6
│  [7] top-level scope at none:5
│ during initialization of module LLVM
│ in expression starting at C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\deps\build_x86.jl:1      
│ in expression starting at C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\deps\build.jl:4
└ @ Pkg.Operations D:\buildbot\worker\package_win64\build\usr\share\julia\stdlib\v1.4\Pkg\src\Operations.jl:899
   Building Conda ────────────→ `C:\Users\XX\.julia\packages\Conda\3rPhK\deps\build.log`
   Building FFTW ─────────────→ `C:\Users\XX\.julia\packages\FFTW\kcXL6\deps\build.log`
   Building SLEEFPirates ─────→ `C:\Users\XX\.julia\packages\SLEEFPirates\kmfoV\deps\build.log`
┌ Error: Error building `SLEEFPirates`: 
│ ERROR: LoadError: "File C:\\Users\\XX\\.julia\\packages\\VectorizationBase\\LiMxH\\src\\cpu_info.jl does not exist. Please run `using Pkg; Pkg.build()`."
│ Stacktrace:
│  [1] top-level scope at C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\src\VectorizationBase.jl:3 
│  [2] top-level scope at none:2
│  [3] eval at .\boot.jl:331 [inlined]
│ in expression starting at C:\Users\XX\.julia\packages\VectorizationBase\LiMxH\src\VectorizationBase.jl:3
│ ERROR: LoadError: Failed to precompile VectorizationBase [3d5dd08c-fd9d-11e8-17fa-ed2836048c2f] to C:\Users\XX\.julia\compiled\v1.4\VectorizationBase\Dto5m_13fSc.ji.
│ Stacktrace:
│  [1] top-level scope at none:5
│ in expression starting at C:\Users\XX\.julia\packages\SLEEFPirates\kmfoV\deps\build.jl:1
└ @ Pkg.Operations D:\buildbot\worker\package_win64\build\usr\share\julia\stdlib\v1.4\Pkg\src\Operations.jl:899

不排除是中文文件夹问题,尝试修改 JULIA_DEPOT_PATH 到纯英文目录试试。

备案号:京ICP备17009874号-2